Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.service
Class WebServiceResource

    java.lang.Object
      weblogic.security.service.ResourceBase
          weblogic.security.service.WebServiceResource

All Implemented Interfaces:
  Serializable, Resource, SelfDescribingResource, SelfDescribingResourceV2

    public final class WebServiceResource

extends ResourceBase

The `WebServiceResource` class is used by a container to specify the Web Service resource (and method related to the resource) that a caller is attempting to access.

The `toString` format (which is produced by the `ResourceBase` class) for a Web Service resource is:
`type=<webservices>, application=myApp, method=myMethod, signature={argumentType1, argumentType2}`

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.security.service.ResourceBase
`id, length, NO_PARENT, parent, resStr, SCOPE_RESOURCE_ACTION, values`

Fields inherited from interface weblogic.security.spi.SelfDescribingResource
`LIST_FIELD_TYPE, NORMAL_FIELD_TYPE, PATH_FIELD_TYPE, UNDEFINED_FIELD_TYPE`

Constructor Summary
`WebServiceResource()` Deprecated. As of 04/01/02.
`WebServiceResource(String application, String contextPath, String webService, String method, String[] signature)` Constructs a new `WebServiceResource` with a target name composed from the `application`, `method`, and `signature` parameters.

Method Summary
`int` | `getFieldType(String fieldName)` Describe `getFieldType` method here.
`String[]` | `getKeys()` Gets keys for the `WebServiceResource`.
`String` | `getType()` Gets the type of this resource (`WebServiceResource`).
`void` | `initialize(String application, String contextPath, String webService, String method, String[] signature)` Deprecated. As of 04/01/02, the constructor should be used instead.
`protected Resource` | `makeParent()` Gets a `Resource` object that represents the parent of the current `WebServiceResource`.
`void` | `reset()` Deprecated. As of 04/01/02.
`protected void` | `writeResourceString(StringBuffer buf)` Writes a string representation of the resource to buffer.

Methods inherited from class weblogic.security.service.ResourceBase
`appendArrayValue, appendValue, equals, getID, getParentResource, getRepeatingFieldIndex, getRepeatingFieldTerminatingIndex, getValues, hashCode, init, init, isTransitiveField, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WebServiceResource

    public WebServiceResource(String application,
                              String contextPath,
                              String webService,
                              String method,
                              String[] signature)

  Constructs a new `WebServiceResource` with a target name composed from the `application`, `method`, and `signature` parameters.

  Parameters:
    `application` - the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file.

    `contextPath` - the context path for the Web application.

    `webService` - the name of the Web Service.

    `method` - a String representing the name of the service that is to be invoked. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the method name.

    `signature` - an array of Strings specifying the signature of the target method. Each element in the array contains the type of that parameter, described as a fully-qualified Java class. A value of `null` indicates that the method being protected accepts no parameters.

### WebServiceResource

    public WebServiceResource()

  Deprecated. As of 04/01/02.

  Creates an empty `WebServiceResource`.

Method Detail

### initialize

    public void initialize(String application,
                           String contextPath,
                           String webService,
                           String method,
                           String[] signature)

  Deprecated. As of 04/01/02, the constructor should be used instead.

  Replaces `application`, `method`, and `signature` parameters of the resource with the specified values.

  Parameters:
    `application` - the name of the application in which the resource is deployed, as it appears in the corresponding `<display-name>` element. The `<display-name>` element is associated with an `<application>` element in the deployment descriptor, in an `.ear` file.

    `contextPath` - the context path for the Web application.

    `webService` - the name of the Web Service.

    `method` - a String representing the name of the service that is to be invoked. A value of `null` indicates that the security policy for the resource pertains to all methods that match the other parameters of the resource specification, without consideration of the method name.

    `signature` - an array of Strings specifying the signature of the target method. Each element in the array contains the type of that parameter, described as a fully-qualified Java class. A value of `null` indicates that the method being protected accepts no parameters.

### writeResourceString

    protected void writeResourceString(StringBuffer buf)

  Writes a string representation of the resource to buffer.

  Overrides:
    `writeResourceString` in class `ResourceBase`
  Parameters:
    `buf` - buffer to write to.

### getType

    public String getType()

  Gets the type of this resource (`WebServiceResource`).

  Returns:
    the type of this resource, represented as a String.

### getFieldType

    public int getFieldType(String fieldName)

  Description copied from interface: `SelfDescribingResource`
  Describe `getFieldType` method here.

  Specified by:
    `getFieldType` in interface `SelfDescribingResource`
  Overrides:
    `getFieldType` in class `ResourceBase`
  Parameters:
    `fieldName` - the `String` name of the field being queried.
  Returns:
    the `int` field type of `fieldName`

### makeParent

    protected Resource makeParent()

  Gets a `Resource` object that represents the parent of the current `WebServiceResource`. If the resource does not have a parent, the value of `null` must be returned.

  The parentage hierarchy for the `WebServiceResource` (that is, the values returned from successive calls to this method) is:

  `type=<webservices>, application=myApp, method=myMethod
  type=<webservices>, application=myApp
  type=<app>, application=myApp
  type=<webservices>
  `

  Overrides:
    `makeParent` in class `ResourceBase`
  Returns:
    the `Resource` object of the parent resource.

### getKeys

    public String[] getKeys()

  Gets keys for the `WebServiceResource`.

  Specified by:
    `getKeys` in interface `Resource`
  Specified by:
    `getKeys` in class `ResourceBase`
  Returns:
    an array of Strings containing the `WebServiceResource`'s keys.

### reset

    public void reset()

  Deprecated. As of 04/01/02.

  Clears the parent resource, and all the values from the `WebServiceResource`.

  Overrides:
    `reset` in class `ResourceBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD